package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工作计划完成情况周统计对象 pdm_report_plan_week
 *
 * @author ruoyi
 * @date 2024-11-29
 */
public class PdmReportPlanWeek extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 单位 */
    @Excel(name = "单位")
    private String company;

    /** 日期 */
    @Excel(name = "日期")
    private String reportDate;

    /** 结束日期 */
    @Excel(name = "结束日期")
    private String reportEndDate;

    /** 作业总数 */
    @Excel(name = "作业总数")
    private Integer total;

    /** 周计划总数 */
    @Excel(name = "周计划总数")
    private Integer weekSum;

    /** 周计划取消数 */
    @Excel(name = "周计划取消数")
    private Integer weekCancelSum;

    /** 周计划执行率 */
    @Excel(name = "周计划执行率")
    private String weekRatio;

    /** 临时计划总数 */
    @Excel(name = "临时计划总数")
    private Integer temporarySum;

    /** 临时计划取消数 */
    @Excel(name = "临时计划取消数")
    private Integer temporaryCancelSum;

    /** 临时计划执行率 */
    @Excel(name = "临时计划执行率")
    private String temporaryRatio;

    /** 临时计划率 */
    @Excel(name = "临时计划率")
    private String temporaryPlanRatio;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompany(String company)
    {
        this.company = company;
    }

    public String getCompany()
    {
        return company;
    }
    public void setReportDate(String reportDate)
    {
        this.reportDate = reportDate;
    }

    public String getReportDate()
    {
        return reportDate;
    }
    public void setReportEndDate(String reportEndDate)
    {
        this.reportEndDate = reportEndDate;
    }

    public String getReportEndDate()
    {
        return reportEndDate;
    }
    public void setTotal(Integer total)
    {
        this.total = total;
    }

    public Integer getTotal()
    {
        return total;
    }
    public void setWeekSum(Integer weekSum)
    {
        this.weekSum = weekSum;
    }

    public Integer getWeekSum()
    {
        return weekSum;
    }
    public void setWeekCancelSum(Integer weekCancelSum)
    {
        this.weekCancelSum = weekCancelSum;
    }

    public Integer getWeekCancelSum()
    {
        return weekCancelSum;
    }
    public void setWeekRatio(String weekRatio)
    {
        this.weekRatio = weekRatio;
    }

    public String getWeekRatio()
    {
        return weekRatio;
    }
    public void setTemporarySum(Integer temporarySum)
    {
        this.temporarySum = temporarySum;
    }

    public Integer getTemporarySum()
    {
        return temporarySum;
    }
    public void setTemporaryCancelSum(Integer temporaryCancelSum)
    {
        this.temporaryCancelSum = temporaryCancelSum;
    }

    public Integer getTemporaryCancelSum()
    {
        return temporaryCancelSum;
    }
    public void setTemporaryRatio(String temporaryRatio)
    {
        this.temporaryRatio = temporaryRatio;
    }

    public String getTemporaryRatio()
    {
        return temporaryRatio;
    }
    public void setTemporaryPlanRatio(String temporaryPlanRatio)
    {
        this.temporaryPlanRatio = temporaryPlanRatio;
    }

    public String getTemporaryPlanRatio()
    {
        return temporaryPlanRatio;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("company", getCompany())
            .append("reportDate", getReportDate())
            .append("reportEndDate", getReportEndDate())
            .append("total", getTotal())
            .append("weekSum", getWeekSum())
            .append("weekCancelSum", getWeekCancelSum())
            .append("weekRatio", getWeekRatio())
            .append("temporarySum", getTemporarySum())
            .append("temporaryCancelSum", getTemporaryCancelSum())
            .append("temporaryRatio", getTemporaryRatio())
            .append("temporaryPlanRatio", getTemporaryPlanRatio())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
